# to update/create new xcframework

## Run in framework/QmsPluginFramework path 
 xcodebuild archive \
  -scheme QmsPluginFramework \
  -destination "generic/platform=iOS" \
  -archivePath ./build/ios_devices.xcarchive \
  SKIP_INSTALL=NO BUILD_LIBRARY_FOR_DISTRIBUTION=YES

xcodebuild archive \
  -scheme QmsPluginFramework \
  -destination "generic/platform=iOS Simulator" \
  -archivePath ./build/ios_simulators.xcarchive \
  SKIP_INSTALL=NO BUILD_LIBRARY_FOR_DISTRIBUTION=YES

xcodebuild -create-xcframework \
  -framework ./build/ios_devices.xcarchive/Products/Library/Frameworks/QmsPluginFramework.framework \
  -framework ./build/ios_simulators.xcarchive/Products/Library/Frameworks/QmsPluginFramework.framework \
  -output ./QmsPluginFramework.xcframework

## To use in test app

1. add this line under dependencies in testApp's package.json
    - "QmsPlugin": "git+http://convep.ddns.me:20000/WeiHan/weihan-plugin.git",

2. then run yarn install 

3. replace the ios, src, package.json and QmsPlugin.podspec folders/files in testApp's node_modules with updated folders/files from this git

4. import the package 
    - import {showPluginUI} from 'QmsPlugin';

5. call the function     